/** @jsx jsx */
import { jsx } from "@emotion/core";
import { storiesOf } from "@storybook/react";
import { usePositioner } from "../Hooks/use-positioner";
function Example() {
    var _a = usePositioner(), target = _a.target, popover = _a.popover, arrow = _a.arrow;
    return (jsx("div", null,
        jsx("button", { ref: target.ref }, "Attach to me"),
        jsx("div", { ref: popover.ref, style: popover.style, css: {
                width: "300px",
                height: "300px",
                background: "red"
            } },
            jsx("div", null, "hi"),
            " ",
            jsx("div", { css: { width: "5px" }, style: arrow.style, ref: arrow.ref }))));
}
export var PositionsExample = storiesOf("Positions", module).add("Basic", function () { return jsx(Example, null); });
